summaryrefslogtreecommitdiffhomepage
path: root/009.pkgconf_host.vars
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2016-07-11 15:51:22 +0000
committerLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2016-07-11 16:53:42 +0000
commit672107a200f15d952f2d8c3750e8c58be5035ee3 (patch)
treebd024539f9ff1cbad02bf69ae49acb35a6265ec3 /009.pkgconf_host.vars
parent49ffbe6ed6b69b04944d7a1ef8164f3920fc7507 (diff)
downloadmidipix_build-672107a200f15d952f2d8c3750e8c58be5035ee3.tar.bz2
midipix_build-672107a200f15d952f2d8c3750e8c58be5035ee3.tar.xz
- Build slibtool_host in build level 0 and slibtool in build level 1.
- Fetch lazy in 006.musl.full.build. - Infer the default number of make(1) jobs to run simultaneously from /proc/cpuinfo. - Merges <https://ftp.gnu.org/gnu/bash/bash-4.3-patches/> into bash-4.3.local.patch. - Print all attributes off SGR at the start of a message in log_msg(). - Simplify 009.gcc.full.build and fetch{,_git}(). - Only create library archives for shared objects that have actually been installed. - Only invoke git-clone(1) and wget(1) in fetch{_git,}() when necessary.
Diffstat (limited to '009.pkgconf_host.vars')
-rw-r--r--009.pkgconf_host.vars19
1 files changed, 19 insertions, 0 deletions
diff --git a/009.pkgconf_host.vars b/009.pkgconf_host.vars
new file mode 100644
index 00000000..3443633b
--- /dev/null
+++ b/009.pkgconf_host.vars
@@ -0,0 +1,19 @@
+#
+# . ./build.vars and set -o errexit -o noglob are assumed.
+#
+
+pkg_pkgconf_host_install_post() {
+ if [ -e ${PREFIX}/bin/${TARGET}-pkg-config ]; then
+ rm -f -- ${PREFIX}/bin/${TARGET}-pkg-config;
+ fi;
+ cat > ${PREFIX}/bin/${TARGET}-pkg-config <<EOF
+#!/bin/sh
+if [ -z "\${PREFIX_NATIVE}" ]; then
+ PREFIX_NATIVE=${PREFIX_NATIVE};
+fi;
+"\$(dirname "\${0}")"/pkgconf --define-variable=prefix=\${PREFIX_NATIVE%/}/ "\$@";
+EOF
+ chmod +x ${PREFIX}/bin/${TARGET}-pkg-config;
+};
+
+# vim:filetype=sh